<?php
/************************************************************************
 * This file is part of EspoCRM.
 *
 * EspoCRM - Open Source CRM application.
 * Copyright (C) 2014-2015 Yuri Kuznetsov, Taras Machyshyn, Oleksiy Avramenko
 * Website: http://www.espocrm.com
 *
 * EspoCRM is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * EspoCRM is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with EspoCRM. If not, see http://www.gnu.org/licenses/.
 ************************************************************************/

namespace Espo\Core\ORM;

class RepositoryFactory extends \Espo\ORM\RepositoryFactory
{
    protected $defaultRepositoryClassName = '\\Espo\\Core\\ORM\\Repositories\\RDB';

    public function create($name)
    {
        $repository = parent::create($name);

        $dependencies = $repository->getDependencyList();
        foreach ($dependencies as $name) {
            $repository->inject($name, $this->entityManager->getContainer()->get($name));
        }
        return $repository;
    }
}

